> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablepay.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Quote

> Get current exchange rate quote

# Get Quote

Returns the current exchange rate and fee breakdown without creating a transaction.

<ParamField query="amount" type="string" required>Amount in USD</ParamField>
<ParamField query="asset" type="string" required>USDC or USDT</ParamField>
<ParamField query="network" type="string" required>Blockchain network</ParamField>

## Request

```bash theme={null}
curl "https://api.stablepay.global/v2/quotes?amount=100&asset=USDC&network=polygon" \
  -H "Authorization: Bearer YOUR_API_KEY"
```

## Response

```json theme={null}
{
  "success": true,
  "data": {
    "rate": 84.50,
    "amount": "100",
    "inr": "8450.00",
    "validFor": 60,
    "asset": "USDC",
    "network": "polygon"
  }
}
```

### Response Fields

| Field      | Type   | Description                    |
| ---------- | ------ | ------------------------------ |
| `rate`     | number | Current USD/INR exchange rate  |
| `amount`   | string | Requested amount               |
| `inr`      | string | Equivalent INR at current rate |
| `validFor` | number | Quote validity in seconds      |
| `asset`    | string | Requested asset                |
| `network`  | string | Requested network              |

<Note>
  Quotes are valid for 60 seconds. Fees are applied when you create a transaction.
</Note>
